// Scene Script
#ifndef _GAME_SCENE_MAIM_H_
#define _GAME_SCENE_MAIM_H_


#include "system_component.h"
#include "scene.h"

#include "game.h"

// namespace package GameScene
namespace GameScene{
	
	
	// Class Main Using SampleScene
	class Main : public Scene
	{
	private:

		// Member Variable
		
	public:

		// Initialize Method
		void Init( void ) override{
		
			ScreenTransition::Transition( ScreenTransition::DO_TRANSITION, new GameScene::Game );
		}
		
		// Uninitialize Method
		void Uninit( void ) override{
		
		
		}
		
		// Update Method
		void Update( void ) override{
		
		}

	};
	
};


#endif	//	_GAME_SCENE_MAIM_H_


